Main Page Widgets glibmm Namespaces Book

# Glib::Glib::Value< float > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Glib::Value< float >:

[legend]

List of all members.

## Public Types

typedef float | CppType
typedef gfloat | CType

## Public Member Functions

void | set (float data)
float | get () const

## Static Public Member Functions

static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Glib::Value< float >

## Member Typedef Documentation

typedef float Glib::Glib::Value<float>::CppType

typedef gfloat Glib::Glib::Value<float>::CType

## Member Function Documentation

static GType Glib::Glib::Value< float >::value_type | ( |  | ) | `[static]`

void Glib::Glib::Value< float >::set | ( | float | data | ) |

float Glib::Glib::Value< float >::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h